package com.trade.service.contract.util.esign.entity;

import java.io.Serializable;

/**
 * e 签宝：更新个人帐户实体 <br>
 * 对接方调用本接口在e签宝平台中使用账号id更新个人账号，如变更姓名，则系统根据变更后的身份信息自动申请新数字证书， 如账号已实名则会变更为未实名状态。<br>
 */
public class ESignPersonAccountUpdate implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 个人用户在 e 签宝的个人账号唯一标识(required)
     */
    private String accountId;
    /**
     * 联系方式，邮箱地址，默认不变
     */
    private String email;
    /**
     * 联系方式，手机号码，默认不变
     */
    private String mobile;
    /**
     * 姓名，默认不变
     */
    private String name;
    /**
     * 证件类型：默认CRED_PSN_CH_IDCARD （大陆身份证）
     **/
    private String idType = "CRED_PSN_CH_IDCARD";
    /**
     * 证件号，该字段只有为空才允许修改
     */
    private String idNumber;

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }
}
